UserSettings (gCube Share Updates Portlet 1.7.0-3.7.0 API)
Date: 2015-05-19

org.gcube.portlets.user.shareupdates.shared

## Class UserSettings

- java.lang.Object
- - org.gcube.portlets.user.shareupdates.shared.UserSettings

- All Implemented Interfaces:
    Serializable

      public class UserSettings
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSettings()`
    `UserSettings(org.gcube.portal.databook.shared.UserInfo userInfo, int refreshingTimeInMillis, String currentScope, boolean isInfrastructure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentScope()`
    `int` | `getRefreshingTimeInMillis()`
    `org.gcube.portal.databook.shared.UserInfo` | `getUserInfo()`
    `boolean` | `isInfrastructure()`
    `void` | `setCurrentScope(String currentScope)`
    `void` | `setInfrastructure(boolean isInfrastructure)`
    `void` | `setRefreshingTimeInMillis(int refreshingTimeInMillis)`
    `void` | `setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSettings

          public UserSettings()

    - #### UserSettings

          public UserSettings(org.gcube.portal.databook.shared.UserInfo userInfo,
                      int refreshingTimeInMillis,
                      String currentScope,
                      boolean isInfrastructure)

  - ### Method Detail

    - #### getUserInfo

          public org.gcube.portal.databook.shared.UserInfo getUserInfo()

    - #### setUserInfo

          public void setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)

    - #### getRefreshingTimeInMillis

          public int getRefreshingTimeInMillis()

    - #### setRefreshingTimeInMillis

          public void setRefreshingTimeInMillis(int refreshingTimeInMillis)

    - #### getCurrentScope

          public String getCurrentScope()

    - #### setCurrentScope

          public void setCurrentScope(String currentScope)

    - #### isInfrastructure

          public boolean isInfrastructure()

    - #### setInfrastructure

          public void setInfrastructure(boolean isInfrastructure)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All Rights Reserved.